<?php
namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Models  ;
use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces\AbstractModel;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 05.09.19
 * Time: 13:34
 * Class ClassOfService
 */
class ClassOfService extends AbstractModel
{
    protected $name;
    protected $id;

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param mixed $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return float|int
     */
    public function getMbMailQuote()
    {
        $quete = $this->getDataResourceA('kerioMailQuota');
        return $quete / 1024 /1024;
    }

    /**
     * @return float|int
     */
    public function getMailQuote()
    {
        $quete = $this->getDataResourceA('kerioMailQuota');
        return $quete / 1024 /1024;
    }

}